#!@@SHELL@@
#
# opkhelper
# lib/messages
# Functions for printing error and warning messages.
#
# Copyright (C) 2012 Patrick "P. J." McDermott
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Prints an error message and exits.
# Parameters:
#   message
# Output:
#   message
# Return value:
#   none
oh_error()
{
	printf '%s: Error: ' "${0##*/}"
	printf "${@}"
	printf '\n'
	exit 1
}

# Prints a warning message.
# Parameters:
#   message
# Output:
#   message
# Return value:
#   0
oh_warn()
{
	printf '%s: Warning: ' "${0##*/}"
	printf "${@}"
	printf '\n'
	return 0
}

# Prints an informational message.
# Parameters:
#   message
# Output:
#   message
# Return value:
#   0
oh_info()
{
	printf '%s: ' "${0##*/}"
	printf "${@}"
	printf '\n'
	return 0
}
